Subject: Re: bug#19347: 24.4.50; Display of bengali text

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Dec 2014 05:43:53 +0200

> From: Andreas Schwab <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 17 Dec 2014 21:02:53 +0100
> 
> >   M-x auto-composition-mode RET
> 
> Composition mode has no effect in a termcap frame.  I can see a similar
> effect in emacs -nw running in Kconsole, because Konsole is apparently
> doing composition on its own, causing the (uncomposed) characters no
> longer occupy exactly one column.  Moving over such a composed (by the
> terminal) character temporarily breaks up the composition.

I see something similar on PuTTY, which duped me into thinking
composition mode is somehow a factor.

So I guess this means we should somehow disable the composition on
TTYs, or tell users to do that, right?